跳到正文

condenser_api.get_expiring_vesting_delegations ​

since HF17

Purpose ​

返回某账户正在到期的权益份额委托(expiring vesting delegation)。参数:account:string;after:timestamp

account (string)after (timestamp)
"steemit""2018-01-01T00:00:00"查询 2018 年 1 月 1 日之后到期的权益份额委托。
"alice""2017-12-01T00:00:00"查询 2017 年 12 月 1 日之后到期的权益份额委托。

Parameters ​

PARAMETERS
json
[
  "",
  "1970-01-01T00:00:00"
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_expiring_vesting_delegations",
    "params": [
      "steemit",
      "2018-01-01T00:00:00"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_expiring_vesting_delegations",
    "params": [
      "alice",
      "2017-12-01T00:00:00"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "delegator": "",
    "vesting_shares": "0.000000 VESTS",
    "expiration": "1970-01-01T00:00:00"
  }
]